Subject: Re: bug#57258: two patches to silence `autogen.sh`

From: Werner LEMBERG <[email-masked]>
Date: Wed, 17 Aug 2022 13:11:44 +0000 (UTC)

>> The attached two patches make `./autogen.sh` run without warnings.
> 
> Thanks, I tested them locally and they both work.  I have one question
> though: Does your change means that building AUCTeX requires a minimum
> version of autoconf?  I'm in general easy with it, we should only
> mention it in our installation guide.

I don't think so.  Macro `AC_FD_CC` was replaced by `AC_FD_LOG`, which
in turn was replaced by `AS_MESSAGE_LOG_FD`; both happened in 2000.
This corresponds to autoconf 2.50, which is no longer worth of being
mentioned IMHO – it precedes the change from `configure.in` to
`configure.ac`, for example.

    Werner